Main Page Modules Class Hierarchy Compound List File List Compound Members

# SAXParser Class Reference

`#include <saxparser.h>`

List of all members.

## Public Methods

| SAXParser ()
void | setHandler (SAXHandler *sh)
int | parse (FILE *f)
int | getCurrentLineNumber ()

## Protected Attributes

char | errortext [512]
SAXHandler* | saxhandler
void* | currentparser

## Detailed Description

Front-end to XML parsers (non-validating, SAX parsers). The current implementation uses Expat. One must provide a SAXHandler for this class to be useful.

## Constructor & Destructor Documentation

SAXParser::SAXParser ( | )

| Constructor

## Member Function Documentation

int SAXParser::getCurrentLineNumber ( | )

| Returns the current line number in the input. Can be called from SAX handler code.

int SAXParser::parse ( | FILE * f )

| Parse XML input read from the given file. Methods of the SAX handler will be called as the parser processes the file.

void SAXParser::setHandler ( | SAXHandler * sh )

| Install a SAX handler into the parser.

The documentation for this class was generated from the following file:

- saxparser.h